<style scoped="">
.wallet_list{

}
.wallet_list_title{
  font-size: 44px;
  line-height: 1;
  padding-top: 44px;
  padding-bottom: 24px;
}
.wallet_list_des{
  color: #353556;
  font-size: 24px;
  line-height: 36px;
  padding-bottom: 80px;
}
.wallet_item_pic_ct{
  width: 450px;
  height: 266px;
  display: flex;
  background-color: #eee;
  overflow-x: hidden;
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center;
}
.wallet_item_ct{
  display: flex;
  margin-bottom: 165px;
}
.wallet_item_des{
  margin-left: 25px;
  position: relative;
}
.wallet_item_pic_ct img{
  height: 100%;
}
.wallet_item_title{
  font-size: 26px;
  line-height: 1;
}
.wallet_item_brief{
  font-size: 16px;
  line-height: 1;
  padding-top: 16px;
}
.wallet_download_ct{
  position: absolute;
  bottom: 0px;
  display: flex;
  width: 600px;
  flex-wrap: wrap;
}
.wallet_download_ct a{
  display: flex;
  width: 250px;
  height: 50px;
  box-sizing: border-box;
  border: 1px solid #353556;
  background-size: 50%;
  background-repeat: no-repeat;
  background-position: center;
  justify-content: center;
  align-items: center;
  margin-right: 17px;
  margin-top: 20px;
}
.small_icon{
  display: block;
  width: 20px;
  height: 30px;
  background-size: 100%;
  background-repeat: no-repeat;
  background-position: center;
  margin-right: 12px;
}
.pc_icon{
  width: 200px;
  background-size: 50%;
}
.mac_pc{
  background-image: url('../assets/images/mac-2@2x.png');
}
.win_pc{
  background-image: url('../assets/images/Windows-2@2x.png');
}
.linux_pc{
  background-image: url('../assets/images/Linus-2@2x.png');
}
.scatter_pc{
  background-image: url('../assets/images/Scatter-2@2x.png');
}
.math_mobile{
  background-image: url('../assets/images/math-2@2x.png');
}
.awake_mobile{
  background-image: url('../assets/images/awake-2@2x.png');
}

.wallet_download_ct a:hover{
  background-color: #0D5EE5;
  color: #fff;
  border: 1px solid #0D5EE5;
}
.wallet_download_ct a:hover .mac_pc{
  background-image: url('../assets/images/mac-1@2x.png');
}
.wallet_download_ct a:hover .win_pc{
  background-image: url('../assets/images/Windows-1@2x.png');
}
.wallet_download_ct a:hover .linux_pc{
  background-image: url('../assets/images/Linus-1@2x.png');
}
.wallet_download_ct a:hover .scatter_pc{
  background-image: url('../assets/images/Scatter-1@2x.png');
}
.wallet_download_ct a:hover .math_mobile{
  background-image: url('../assets/images/math-1@2x.png');
}
.wallet_download_ct a:hover .awake_mobile{
  background-image: url('../assets/images/awake-1@2x.png');
}
.bg_downlowd{

}
.bg_pc{
  background-image: url('../assets/images/PC端钱包下载@2x.png');
}
.bg_scatter{
  background-image: url('../assets/images/网页端@2x.png');
}
.bg_mobile{
  background-image: url('../assets/images/移动端@2x.png');
}
@media (max-width: 800px) {
  .wallet_list_title{
    font-size: 28px;
    padding-top: 15px;
    padding-bottom: 10px;
  }
  .wallet_list{
    padding: 10px;
  }
  .wallet_list_des{
    font-size: 12px;
    line-height: 30px;
    padding-bottom: 10px;
  }
  .wallet_item_ct{
    display: block;
    margin-bottom: 30px;
  }
  .wallet_item_pic_ct{
    width: auto;
  }
  .wallet_item_des{
    margin-left: 0px;
  }
  .wallet_item_title{
    font-size: 17px;
    padding-top: 20px;
  }
  .wallet_item_brief{
    font-size: 13px;
    color: #999;
  }
  .wallet_download_ct{
    flex-wrap: wrap;
    margin-top: 30px;
    position: relative;
    width: auto;
  }
  .wallet_download_ct>div{
    box-sizing: border-box;
    padding-right: 10px;
    padding-bottom: 10px;
    width: 50%;
  }
  .wallet_download_ct>div>a{
    width: auto;
  }
}
</style>
<template>
  <div class="wallet_list">
    <div class="comm_width">
      <h1 class="wallet_list_title">{{ lang.data['EOSC Wallet'] }}</h1>
      <p class="wallet_list_des">
        {{
          lang.data['Multi-terminal selections to open EOSC mainnet in all directions ']
        }}
      </p>

      <div class="wallet_items_ct">

        <div class="wallet_item_ct">
          <div class="wallet_item_pic_ct bg_pc">
            <!-- <img src="../assets/images/PC端钱包下载@2x.png"> -->
          </div>

          <div class="wallet_item_des">
            <h2 class="wallet_item_title">
              {{ lang.data['PC'] }}
            </h2>
            <p class="wallet_item_brief">
              {{ lang.data['The EOSC classic wallet with complete functions'] }}
            </p>
            <div class="wallet_download_ct  ">
              <div>
                <a rel="nofollow" target="_blank" href="https://updatewallet.oss-cn-hangzhou.aliyuncs.com/latest/eosforce-1.1.257.dmg">
                  <span class="small_icon mac_pc"></span>
                  <span>MAC</span>
                </a>
              </div>
              <!-- <div>
                <a rel="nofollow" >
                  <span class="small_icon mac_pc"></span>
                  <span>MAC</span>
                </a>
              </div> -->
              <div>
                <a rel="nofollow" target="_blank" href="https://updatewallet.oss-cn-hangzhou.aliyuncs.com/latest/eosforce-setup-1.1.257.exe">
                  <span class="small_icon win_pc"></span>
                  <span>Windows</span>
                </a>
              </div>
              <div>
                <a rel="nofollow" target="_blank" href="https://updatewallet.oss-cn-hangzhou.aliyuncs.com/latest/eosforce-1.1.257-x86_64.AppImage">
                  <span class="small_icon linux_pc"></span>
                  <span>Linux</span>
                </a>
              </div>
            </div>
          </div>
        </div>

        <div class="wallet_item_ct ">
          <div class="wallet_item_pic_ct bg_scatter">
            <img src="../assets/images/网页端@2x.png">
          </div>

          <div class="wallet_item_des">
            <h2 class="wallet_item_title">
              {{ lang.data['Web'] }}
            </h2>
            <p class="wallet_item_brief">
              {{ lang.data['The plugin wallet, the first choice for the DAPP experience'] }}
            </p>
            <div class="wallet_download_ct">
              <!-- <a rel="nofollow" target="_blank" href="http://www.mathwallet.org/">
                <span class="small_icon scatter_pc"></span>
                <span>Scatter</span>
              </a> -->
              <a rel="nofollow" target="_blank" href="http://mathwallet.org/">
                  <span class="small_icon pc_icon math_mobile"></span>
              </a>
            </div>
          </div>
        </div>

        <div class="wallet_item_ct ">
          <div class="wallet_item_pic_ct bg_mobile">
            <img src="../assets/images/移动端@2x.png">
          </div>

          <div class="wallet_item_des">
            <h2 class="wallet_item_title">
              {{ lang.data['Mobile'] }}
            </h2>
            <p class="wallet_item_brief">
              {{ lang.data['The third-party wallet app that can link to EOSC main network at anytime and anywhere'] }}
            </p>
            <div class="wallet_download_ct">
              <div>
                <a rel="nofollow" target="_blank" href="http://mathwallet.org/">
                  <span class="small_icon pc_icon math_mobile"></span>
                </a>
              </div>
              <div>
                <a rel="nofollow" target="_blank" href="https://akdex.io/">
                  <span class="small_icon pc_icon awake_mobile"></span>
                </a>
              </div>
            </div>
          </div>
        </div>

      </div>

    </div>
  </div>
</template>
<script>
import { get_lang_data_by_key, set_lang } from '@/data/langs/index.js'
let lang = get_lang_data_by_key('en');

export default {
  beforeCreate () {
    lang = get_lang_data_by_key(this.$route.params.lang || 'cn');
  },
  data () {
    return {
      lang
    }
  },
  methods: {

  }
}
</script>